Bug 22538 - Add a noticeable alert about waiting holds
Summary: Add a noticeable alert about waiting holds
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Agustín Moyano
QA Contact: Testopia
URL:
Keywords:
Depends on: 21772
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-19 14:05 UTC by Tomás Cohen Arazi
Modified: 2019-06-27 09:24 UTC (History)
7 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22538: Add a noticeable alert about waiting holds (5.78 KB, patch)
2019-03-20 04:19 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 22538: Add a noticeable alert about waiting holds (5.83 KB, patch)
2019-03-20 12:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22538: Add a noticeable alert about waiting holds (5.35 KB, patch)
2019-04-01 14:42 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Screenshot of the small additional icon above the holds table (67.45 KB, image/png)
2019-04-03 15:29 UTC, Katrin Fischer
Details
Bug 22538: Add a noticeable alert about waiting holds (5.47 KB, patch)
2019-04-09 18:47 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22538: Add a noticeable alert about waiting holds (5.55 KB, patch)
2019-04-09 20:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2019-03-19 14:05:04 UTC
Work to be done:
- Add an alert red symbol to the holds tab in SCO (maybe <i class="fas fa-exclamation"></i>) if there are waiting holds.
- Inside the holds tab, mark somehow those waiting holds in a noticeable way.
Comment 1 Agustín Moyano 2019-03-20 04:19:01 UTC
Created attachment 86770 [details] [review]
Bug 22538: Add a noticeable alert about waiting holds

In SCO, bug 21772 introduced holds information, but it lacked the capability to attract atention
when any of those holds was in waiting status. Because SCO and opac-user uses the same include
file for holds table, this bug applies to both modules.

To test:
1) Have a patron with holds in waiting status and pending status.
2) Enable SCO module.
3) Holds tab label contains holds count, but doesn't inform that there is something that requires attention.
5) Holds tab content has no visual aid to recognize without reading effort which holds are in waiting status.
6) Apply this patch
=> SUCCESS: Holds tab label has a visual aid to indicate that something requires attention, and in
holds table it's easy to recognize waiting holds without reading effort.
7) Sign off

Sponsored-by: Pasco County Libraries
Comment 2 Owen Leonard 2019-03-20 12:01:03 UTC
Created attachment 86783 [details] [review]
Bug 22538: Add a noticeable alert about waiting holds

In SCO, bug 21772 introduced holds information, but it lacked the
capability to attract atention when any of those holds was in waiting
status. Because SCO and opac-user uses the same include file for holds
table, this bug applies to both modules.

To test:
1) Have a patron with holds in waiting status and pending status.
2) Enable SCO module.
3) Holds tab label contains holds count, but doesn't inform that there
   is something that requires attention.
5) Holds tab content has no visual aid to recognize without reading
   effort which holds are in waiting status.
6) Apply this patch
   => SUCCESS: Holds tab label has a visual aid to indicate that
      something requires attention, and in
      holds table it's easy to recognize waiting holds without reading
      effort.
7) Sign off

Sponsored-by: Pasco County Libraries
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2019-03-31 20:23:06 UTC
Hi Tomas,

patch doesn't apply, can you please rebase?

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 22538: Add a noticeable alert about waiting holds
error: sha1 information is lacking or useless (koha-tmpl/opac-tmpl/bootstrap/en/includes/holds-table.inc).
error: could not build fake ancestor
Patch failed at 0001 Bug 22538: Add a noticeable alert about waiting holds
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-22538-Add-a-noticeable-alert-about-waiting-hol-FJ8X3i.patch
Comment 4 Tomás Cohen Arazi 2019-04-01 14:42:02 UTC
Created attachment 87283 [details] [review]
Bug 22538: Add a noticeable alert about waiting holds

In SCO, bug 21772 introduced holds information, but it lacked the
capability to attract atention when any of those holds was in waiting
status. Because SCO and opac-user uses the same include file for holds
table, this bug applies to both modules.

To test:
1) Have a patron with holds in waiting status and pending status.
2) Enable SCO module.
3) Holds tab label contains holds count, but doesn't inform that there
   is something that requires attention.
5) Holds tab content has no visual aid to recognize without reading
   effort which holds are in waiting status.
6) Apply this patch
   => SUCCESS: Holds tab label has a visual aid to indicate that
      something requires attention, and in
      holds table it's easy to recognize waiting holds without reading
      effort.
7) Sign off

Sponsored-by: Theke Solutions

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Tomás Cohen Arazi 2019-04-01 18:59:41 UTC
(In reply to Katrin Fischer from comment #3)
> Hi Tomas,
> 
> patch doesn't apply, can you please rebase?

I rebased it, but you should ask Agustin :-P
Comment 6 Katrin Fischer 2019-04-03 15:27:25 UTC
Hi Augustin,

I like the ! on the tabs heading, but there is also a small icon showing up at the top of the holds table that I think shouldn't be there or needs some text to explain it:

<i class="fa fa-exclamation-circle text-warning"></i>

I'd like it better if we highlighted the waiting holds rows somehow with the same symbol or have a little text on top of the table that x items are waiting for pick-up.
Comment 7 Katrin Fischer 2019-04-03 15:29:57 UTC
Created attachment 87367 [details]
Screenshot of the small additional icon above the holds table

.
Comment 8 Agustín Moyano 2019-04-05 14:08:06 UTC
Hi Katrin, that small icon should be inside each row, in the status field.. 

Ill checkout what happended and mend it.
Comment 9 Tomás Cohen Arazi 2019-04-09 18:46:51 UTC
I'm sorry, I made a mistake on rebasing it. Sorry Agustin
Comment 10 Tomás Cohen Arazi 2019-04-09 18:47:14 UTC
Created attachment 87667 [details] [review]
Bug 22538: Add a noticeable alert about waiting holds

In SCO, bug 21772 introduced holds information, but it lacked the
capability to attract atention when any of those holds was in waiting
status. Because SCO and opac-user uses the same include file for holds
table, this bug applies to both modules.

To test:
1) Have a patron with holds in waiting status and pending status.
2) Enable SCO module.
3) Holds tab label contains holds count, but doesn't inform that there
   is something that requires attention.
5) Holds tab content has no visual aid to recognize without reading
   effort which holds are in waiting status.
6) Apply this patch
   => SUCCESS: Holds tab label has a visual aid to indicate that
      something requires attention, and in
      holds table it's easy to recognize waiting holds without reading
      effort.
7) Sign off

Sponsored-by: Theke Solutions

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 11 Katrin Fischer 2019-04-09 20:03:00 UTC
Created attachment 87676 [details] [review]
Bug 22538: Add a noticeable alert about waiting holds

In SCO, bug 21772 introduced holds information, but it lacked the
capability to attract atention when any of those holds was in waiting
status. Because SCO and opac-user uses the same include file for holds
table, this bug applies to both modules.

To test:
1) Have a patron with holds in waiting status and pending status.
2) Enable SCO module.
3) Holds tab label contains holds count, but doesn't inform that there
   is something that requires attention.
5) Holds tab content has no visual aid to recognize without reading
   effort which holds are in waiting status.
6) Apply this patch
   => SUCCESS: Holds tab label has a visual aid to indicate that
      something requires attention, and in
      holds table it's easy to recognize waiting holds without reading
      effort.
7) Sign off

Sponsored-by: Theke Solutions

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Nick Clemens 2019-04-17 12:28:41 UTC
Awesome work all!

Pushed to master for 19.05
Comment 13 Martin Renvoize 2019-04-26 13:22:46 UTC
Enhancement will not be backported to 18.11.x series.